Author Topic: Bug: Most Recent Brails Installation Missing SoftstoryClassifier Module  (Read 9348 times)

SethReis

  • Newbie
  • *
  • Posts: 7
    • View Profile
Hello,

I just installed the most recent version of BRAILS to use the SoftstoryClassifier, which the user manual says is shipped with the base installation: https://nheri-simcenter.github.io/BRAILS-Documentation/common/user_manual/modules/softstoryClassifier.html#:~:text=The%20module%20is%20shipped%20with%20BRAILS%2C%20so%20you%20don%E2%80%99t%20have%20to%20install%20it%20standalone%20if%20you%E2%80%99ve%20installed%20BRAILS%20following%20the%20Installation%20instruction..

However, I am getting an error saying the SoftstoryClassifer module cannot be imported upon attempting to do so like in the user manual. See included pictures (error, __init__.py file for modules, modules folder). I didn't notice any errors during installation and reinstalled a few times to be safe.
« Last Edit: August 21, 2023, 11:22:06 PM by SethReis »

fmk

  • Administrator
  • Full Member
  • *****
  • Posts: 232
    • View Profile
Re: Bug: Most Recent Brails Installation Missing SoftstoryClassifier Module
« Reply #1 on: August 22, 2023, 11:57:16 PM »
Seth,

sorry about the problems. We moved from tensorflow to pytorch and not all the modules got revised. the Softstory is avail in the 2.0.5 release.
https://pypi.org/project/BRAILS/2.0.5/ . That release uses older python modules.

I am going through the process of fixing the documentation. In the meantime the modules and the doc for their usage with the current brails can best be found on the github dir for each module where the README.rst file displayed when using the browser shows how to use the module.
https://github.com/NHERI-SimCenter/BRAILS/tree/master/brails/modules

SethReis

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: Bug: Most Recent Brails Installation Missing SoftstoryClassifier Module
« Reply #2 on: August 23, 2023, 07:16:46 AM »
Thank you for the information! I will look into installing and using the 2.0.5 release shortly.

SethReis

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: Bug: Most Recent Brails Installation Missing SoftstoryClassifier Module
« Reply #3 on: August 23, 2023, 07:54:16 PM »
I am currently getting the following error when trying to install the 2.0.5 version of BRAILS. This looks to be an error with demjson, not BRAILS itself, but nothing I can find online (about upgrading setuptools/pip/other things) actually fixes the issue for me. I am using Windows.

fmk

  • Administrator
  • Full Member
  • *****
  • Posts: 232
    • View Profile
Re: Bug: Most Recent Brails Installation Missing SoftstoryClassifier Module
« Reply #4 on: August 29, 2023, 06:42:05 AM »
I see you found a solution to install 2.0.0 instead of 2.0.5. thanks

cynicalshattered

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: Bug: Most Recent Brails Installation Missing SoftstoryClassifier Module
« Reply #5 on: September 13, 2023, 07:50:30 AM »
I also got the same error. Looking for a solution for version 2.0.5.